Subject: [PATCH 0/3] doc: Reorder "Channels" section

From: zimoun <[email-masked]>
Date: Fri, 18 Sep 2020 03:37:44 +0200

Dear,

As discussed here [1], the Channels is modified to satisfy a more logical
order, at least mine. :-)

The patch 0003 can be hard to review.  Basically, I have moved the sections:

 5.6 Invoking @command{guix pull}
 5.7 Channels
   5.7.1 Specifying Additional Channels
   5.7.2 Using a Custom Guix Channel
   5.7.3 Replicating Guix
   5.7.4 Channel Authentication
   5.7.5 Primary URL
   5.7.6 Writing custom channels
   5.7.7 Package Modules in a Sub-directory
   5.7.8 Declaring Channel Dependencies
   5.7.9 Specifying Channel Authorizations
   5.7.10 Writing Channel News
 5.8 Invoking @command{guix time-machine}

And I did some minor tweaks trying to have user vs developer of channels.  Say
that from 5.7.1 to 5.7.5, the channel are collection of "variants". Then it
becomes "your own channel".

I added these words which deserve a better wording, I guess.

--8<---------------cut here---------------start------------->8---
Last, as a channel author, you may want to run an authenticated channel
(@pxref{Channel Authentication}), then @pxref{Specifying Channel
Authorizations} for details.
--8<---------------cut here---------------end--------------->8---

At the end of the section "Writing custom channels".

And after some thinking, I find better to have "guix pull" and time-machine
visible from Package Management section:
<https://guix.gnu.org/manual/devel/en/guix.html#Package-Management>.

Well, that is a start. :-)

[1] https://lists.gnu.org/archive/html/guix-devel/2020-09/msg00153.html

All the best,
simon

zimoun (3):
  doc: Update the master menu.
  doc: Add the "Channels" section menu.
  doc: Reorder the "Channels" section.

 doc/guix.texi | 353 +++++++++++++++++++++++++++++---------------------
 1 file changed, 202 insertions(+), 151 deletions(-)

base-commit: 679d5e6b3dcac4ee1f419c04b3719fead0bd9ee5
-- 
2.28.0